From 670bb32b2cbeaea41e37853822017371d8b4ced1 Mon Sep 17 00:00:00 2001
From: SmallJoker <mk939@ymail.com>
Date: Wed, 29 May 2024 19:46:24 +0200
Subject: [PATCH] Particles: fix crash caused by absent texture

Introduced in commit f8bff34. The related code does already expect that
'texture.ref' may be nullptr.
---
 src/client/particles.cpp | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/client/particles.cpp b/src/client/particles.cpp
index 638505846..c19282424 100644
--- a/src/client/particles.cpp
+++ b/src/client/particles.cpp
@@ -1008,7 +1008,6 @@ video::SMaterial ParticleManager::getMaterialForParticle(const ClientParticleTex
 			video::EMFN_MODULATE_1X,
 			video::EAS_TEXTURE | video::EAS_VERTEX_COLOR);
 	material.BlendOperation = blendop;
-	assert(texture.ref);
 	material.setTexture(0, texture.ref);
 
 	return material;
-- 
2.34.1

